#ifndef ERRORMSG_H_
#define ERRORMSG_H_

const char* msg_CMD_xpci3009_TestInterrupt(int nb);

const char* msg_CMD_xpci3009_InitAnalogInputSequence(int nb);
const char* msg_CMD_xpci3009_ReleaseAnalogInputSequence(int nb);
const char* msg_CMD_xpci3009_StartAnalogInputSequence(int nb);
const char* msg_CMD_xpci3009_StopAnalogInputSequence(int nb);

const char* msg_CMD_xpci3009_InitAnalogInputAutoRefresh(int nb);
const char* msg_CMD_xpci3009_ReleaseAnalogInputAutoRefresh(int nb);
const char* msg_CMD_xpci3009_StartAnalogInputAutoRefresh(int nb);
const char* msg_CMD_xpci3009_ReadAnalogInputAutoRefreshValueAndCounter(int nb);
const char* msg_CMD_xpci3009_StopAnalogInputAutoRefresh(int nb);

const char* msg_CMD_xpci3009_ReadAnalogOutputBit(int nb);
const char* msg_CMD_xpci3009_InitAnalogOutput(int nb);
const char* msg_CMD_xpci3009_WriteAnalogOutputValue(int nb);

const char* msg_CMD_xpci3009_SetTTLPortConfiguration(int nb);

const char* msg_CMD_xpci3009_SetDigitalOutputMemoryOn(int nb);
const char* msg_CMD_xpci3009_Set32DigitalOutputsOff(int nb);
const char* msg_CMD_xpci3009_Set32DigitalOutputsOn(int nb);
const char* msg_CMD_xpci3009_Read32DigitalInputs(int nb);
const char* msg_CMD_xpci3009_Get32DigitalOutputStatus(int nb);
#endif /*ERRORMSG_H_*/
